Submit request for sending notifications

post

/ec-reporting-svc/rest/v1.0/notification/{notificationType}

Submits a request for sending notification on the given input, using the QueryParams parameter.
Right: ReportingPost.

Request

Path Parameters
Query Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Request payload wrapper for notification: a map from notification field key to NotificationPayload.
Show Source
Nested Schema : notificationPayloads
Type: array
Show Source
Nested Schema : NotificationPayload
Type: object
Represents a notification detail with key and value.
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Notification successfully triggered.
Body ()
Root Schema : schema
Type: string
Examples

400 Response

Input validation failed; error in the payload.
Body ()
Root Schema : ValidationResult
Type: object
Show Source
Nested Schema : message
Type: object
Show Source
Examples

401 Response

Unauthorized access. The user is not allowed to send this notification.
Body ()
Root Schema : BaseResponse
Type: object
Base response object for all reporting service endpoints, providing a standard structure for status, result, and errorData.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Generic result for all request entity types. The type returned depends on endpoint. May be ExecutionLog, list, or error data.
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Examples

Back to Top